import { InputNumber, Modal, Tag } from 'antd'
import React, { useEffect, useState } from 'react'
import { useModel } from 'umi'


interface Props {
    isAll?: boolean
}
function SortModal(props: Props) {
    const { isAll } = props
    const { state, offEditFile, configSort, list, set } = useModel(isAll ? 'useOperating.useBdMedia' : 'useOperating.useBdMediaPup')
    const { sortVisible, actionItem } = state
    const [sort, setSort] = useState<number>(0)

    useEffect(() => {
        setSort(actionItem?.sort || 0)
    }, [actionItem?.sort])

    const sortHandle = () => {
        configSort.run({ sysMediaId: actionItem?.id, sort: sort }).then(res => {
            if (res) {
                list?.refresh()
                set({ sortVisible: false, actionItem: null })
            }
        })
    }

    return <Modal
        visible={sortVisible}
        width={400}
        title={'编辑排序'}
        closable={false}
        onOk={sortHandle}
        onCancel={() => { offEditFile() }}
    >
        <Tag color='warning'>数值越大越靠前</Tag>
        <InputNumber
            style={{ width: '100%', marginTop: 10 }}
            value={sort}
            placeholder='请输入序号, 数值越大越靠前'
            onChange={(e: number) => {
                setSort(e)
            }} 
        />
    </Modal>
}
export default SortModal