
import HocError from '@/Hoc/HocError'
import { Card, Table, Tag } from 'antd'
import React, { useEffect } from 'react'
import { columnsMp } from './tableConfig'
import { useModel } from 'umi'


/** 投放管理 */
const AdAuthorize: React.FC = () => {
    const { getAdAccount } = useModel('useLaunchAdq.useAdAuthorize')

    useEffect(() => {
        // 获取账号列表
        getAdAccount.run()
    }, [])

    return <Card>
        <Table dataSource={getAdAccount?.data?.data} loading={getAdAccount?.loading} columns={columnsMp()} size="small" bordered
            pagination={{
                position: ['bottomRight'],
                total: getAdAccount?.data?.data?.length,//总共多少条数据,服务器给,设置后分页自动计算页数
                showTotal: (total) => <Tag color="cyan">总共{total}数据</Tag>,
                showSizeChanger: true,
                showLessItems: true,
                defaultCurrent: 1,
                defaultPageSize: 20,//默认初始的每页条数
            }}
            rowKey={(row) => row.id}
        />
    </Card>
}

export default HocError(AdAuthorize)